if (timing > 4) {timing = 0; itemUsed = true; mainSkill = blunt_lvl; var damage;
var firstHit; var rand = Math.floor(Math.random()*4); var maxDamage = 300;
var itemID = 2012; var breakSpeech = "That was a useful tool"; var repair = 8;
var power = Math.sqrt(blunt_lvl*9)+3; var stunChance = 1; var stunPower = 1;

bluntEngine(firstHit,rand,maxDamage,citemID,breakSpeech,repair,power,damage,stunChance,stunPower);

if (pinv.getCurrentItem() != null)
{if (pinv.getCurrentItem().itemID == itemID) {var ent = pinv.getCurrentItem(); player.swingMainHand();}}
if (pinv.getOffhandItem() != null) 
{if (pinv.getOffhandItem().itemID == itemID) {var ent = pinv.getOffhandItem(); player.swingOffHand();}}
repairFun(repair,itemID,ent.damage);

time.sleep(0.05); if (hitBlock != null) {if (world.getBlockID(hitBlock.x,hitBlock.y,hitBlock.z) == 209 &&
world.getMetadata(hitBlock.x,hitBlock.y,hitBlock.z) == 2) {world.setBlockID(hitBlock.x,hitBlock.y,hitBlock.z,9);
for (i = 0; netA [i] != undefined && netA [i] [7] != undefined &&
(hitBlock.x != netA [i] [7] [0] || hitBlock.y != netA [i] [7] [1] || hitBlock.z != netA [i] [7] [2]); i++) {}
if (netA [i] != undefined && netA [i] [7] != undefined  && netA [i] [8] != 0) 
{pinv.addItem(Item(netA [i] [8],1)); fishing_xp += netA [i] [9];} pinv.addItem(Item(2008,1)); 
fishing_xp += 0.05; netA [i] = [false, 0, 0, 0, false, false, 0, 0, 0, 0, 0];}}}